libwps_OLE Namespace Reference documentation

Classes | Enumerations | Functions
libwps_OLE Namespace Reference

## Classes
class | AllocTable
class | DirEntry
class | DirInfo
class | DirTree
class | Header
class | IStorage
class | IStream
class | OStorage
class | WPSOLEStream
| internal class used to create a RVNGInputStream from an OLE file More...

## Enumerations
enum | { Avail = 0xffffffff , Eof = 0xfffffffe , Bat = 0xfffffffd , MetaBat = 0xfffffffc , NotFound =0xfffffff0 }

## Functions
static unsigned short | readU16 (const unsigned char *ptr)
static unsigned | readU32 (const unsigned char *ptr)
static void | writeU16 (unsigned char *ptr, unsigned long data)
static void | writeU32 (unsigned char *ptr, unsigned long data)
static unsigned long | getLength (librevenge::RVNGInputStream *const input)
RVNGInputStreamPtr | getOLEInputStream (RVNGInputStreamPtr input)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
Avail |
Eof |
Bat |
MetaBat |
NotFound |

## Function Documentation

## ◆ getLength()

static unsigned long libwps_OLE::getLength | ( | librevenge::RVNGInputStream *const | input | ) |
| static

Referenced by libwps_OLE::IStorage::load().

## ◆ getOLEInputStream()

RVNGInputStreamPtr libwps_OLE::getOLEInputStream | ( | RVNGInputStreamPtr | input | ) |

Referenced by QuattroParser::readOLEZones().

## ◆ readU16()

static unsigned short libwps_OLE::readU16 | ( | const unsigned char * | ptr | ) |
| inlinestatic

Referenced by libwps_OLE::DirEntry::load(), and libwps_OLE::Header::load().

## ◆ readU32()

static unsigned libwps_OLE::readU32 | ( | const unsigned char * | ptr | ) |
| inlinestatic

Referenced by libwps_OLE::AllocTable::load(), libwps_OLE::DirEntry::load(), libwps_OLE::Header::load(), and libwps_OLE::IStorage::load().

## ◆ writeU16()

static void libwps_OLE::writeU16 | ( | unsigned char * | ptr,
|  | unsigned long | data )
| inlinestatic

Referenced by libwps_OLE::DirEntry::save(), and libwps_OLE::Header::save().

## ◆ writeU32()

static void libwps_OLE::writeU32 | ( | unsigned char * | ptr,
|  | unsigned long | data )
| inlinestatic

Referenced by libwps_OLE::AllocTable::save(), libwps_OLE::DirEntry::save(), libwps_OLE::Header::save(), and libwps_OLE::OStorage::updateToSave().